Subject: [Gen-art] Gen-ART review of draft-jabley-reverse-servers-01

From: "Vijay K. Gurbani" <[email-masked]>
Date: Mon, 18 Jan 2010 16:20:16 -0600

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please wait for direction from your document shepherd
or AD before posting a new version of the draft.

Document: draft-jabley-reverse-servers-01
Reviewer: Vijay K. Gurbani
Review Date: January 18, 2010
IESG Telechat date: January 21, 2010

Summary: This draft is ready for publication as a Proposed Standard.

It has 0 major issues, 0 minor issues and 1 nit.

Nits:

1) For readability, I would suggest that the text in Section 1
  be re-stated as follows:

  OLD:
    The Domain Name System (DNS) is described in [RFC1034] and [RFC1035].
    The DNS currently supports keyed data retrieval using three
    namespaces -- domain names, IPv4 addresses and IPv6 addresses.
    Mapping of IPv4 addresses to names is accomplished using data
    published in the IN-ADDR.ARPA zone.  For IPv6, the IP6.ARPA zone is
    used (see [RFC3152]).  The process of mapping an address to a name is
    generally known as a "reverse lookup", and the IN-ADDR.ARPA and
    IP6.ARPA zones are said to support the "reverse DNS".

  NEW:
    The Domain Name System (DNS) is described in [RFC1034] and [RFC1035].
    The DNS currently supports keyed data retrieval using three
    namespaces -- domain names, IPv4 addresses and IPv6 addresses.
    The canonical use of DNS is to resolve domain names to IPv4 or
    IPv6 addresses, however the reverse is possible as well.  The
    process of mapping an address to a name is generally known as a
    "reverse lookup"; mapping of IPv4 addresses to names is accomplished
    using data published in the IN-ADDR.ARPA zone.  For IPv6, the
    IP6.ARPA zone is used (see [RFC3152]).  The IN-ADDR.ARPA and
    IP6.ARPA zones are said to support the "reverse DNS".

Thanks,

- vijay
-- 
Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent
1960 Lucent Lane, Rm. 9C-533, Naperville, Illinois 60566 (USA)
Email: vkg@{alcatel-lucent.com,bell-labs.com,acm.org}
Web:   http://ect.bell-labs.com/who/vkg/

---

From: Joe Abley <[email-masked]>
Date: Mon, 18 Jan 2010 19:21:42 -0800

Hi Vijay,

Thanks for your review.

With respect to your suggested text for section 1, your text states that:

>    IPv6 addresses, however the reverse is possible as well.

I phrased the original text quite carefully: I think your suggested replacement over-generalises, in that

 - it suggests that the DNS is basically only used for host name to address mapping (it's not; there are many protocols today that require use of different RRTypes in the DNS, and which make no use of A or AAAA)
 - it enshrines IPv4 and IPv6 at the expense of other address types in a way that I can only hope will look dated in years to come :-)
 - it suggests that the reverse tree only contains maps back to host names (which although perhaps largely true today, RFC 2317 notwithstanding, might well change in the future)

The DNS in general is used to publish many more resource record types than just A, AAAA and PTR. I phrased the text in what I hoped was a general, technically-correct but readable fashion with that in mind.

I am happy to work with you on section 1 to make it more readable, but I'm not particularly happy with your first suggested replacement, as sent. Should we take this off-line and wordsmith?

Joe

---

From: "Vijay K. Gurbani" <[email-masked]>
Date: Wed, 20 Jan 2010 17:20:45 -0600

> Thanks for your review.

Joe: Sorry for the late reply -- got sidetracked on
other things.  More inline.

> I am happy to work with you on section 1 to make it more readable,
> but I'm not particularly happy with your first suggested replacement,
> as sent. Should we take this off-line and wordsmith?

Sure; I'll send you a private email and we can report to
Gen-ART once we are done word-smithing.

Thanks,

- vijay

---

From: Russ Housley <[email-masked]>
Date: Thu, 21 Jan 2010 11:02:46 -0500

This document is being considered for approval in the next few minutes 
by the IESG.  I do not see the change you are discussing as reason for 
delay.

Russ

---

From: Joe Abley <[email-masked]>
Date: Thu, 21 Jan 2010 08:05:15 -0800

> by the IESG.  I do not see the change you are discussing as reason for 

Perhaps Vijay and I can continue our private e-mail thread, and if we come up with any improved wording for that paragraph we can insert it in AUTH48. It seems clear that any revised text will include no substantive change to the meaning or purpose of the document.

Joe

---

From: "Vijay K. Gurbani" <[email-masked]>
Date: Thu, 21 Jan 2010 10:11:21 -0600

Joe Abley wrote:
>> This document is being considered for approval in the next few
>> minutes by the IESG.  I do not see the change you are discussing as
>> reason for delay.
> 
> Perhaps Vijay and I can continue our private e-mail thread, and if we
> come up with any improved wording for that paragraph we can insert it
> in AUTH48. It seems clear that any revised text will include no
> substantive change to the meaning or purpose of the document.

I agree.

Thanks,

- vijay